//+------------------------------------------------------------------+
//|                                               for_a_new_life.mq4 |
//|                                                            Kelch |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Kelch"
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 White
#property indicator_width1 1
//---- user changeable stuff
extern int FastEMA=5;
extern int SlowEMA=25;
extern int Force_Period=5;
extern int Force_Method=0;
extern int Force_Price=0;
//--- buffers
double ExtMapBuffer1[];

int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   
   IndicatorShortName ("Foranewlifereason ("+FastEMA+","+SlowEMA+")");
   SetIndexLabel(0,"Foranewlifereason");
//----
   return(0);
  }

int start()
{
   int limit;
   int counted_bars=IndicatorCounted();
   
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   
//---- (FastEMA-SlowEMA/[2*Cn-(Cn-1)]*Vn])
   for(int i=0; i<limit; i++)
      ExtMapBuffer1[i]=-1*(iMA (NULL,0,FastEMA,0,MODE_EMA,PRICE_CLOSE,i)-iMA(NULL,0,SlowEMA,0,MODE_EMA,PRICE_CLOSE,i)/
      2*(iForce(NULL,0,Force_Period,Force_Method,Force_Price,i)));
//---- 
   return(0);

}